Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)  (gelezen 5214 keer)

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Sinds vandaag krijg ik als ik een pakket wil installeren via de pakket beheer elke de melding :
pakket-architectuur (i386) komt niet overeen met het systeem (amd64).
Gisteravond kon ik nog zonder problemen van alles installeren en nu niet meer en krijg ik steeds deze fout melding.
Wat doe ik verkeert?
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #1 Gepost op: 2010/03/01, 11:28:00 »
Over welk paket gaat het ?
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #2 Gepost op: 2010/03/01, 12:02:10 »
Ik heb een schone Ubuntu 9.10 64bit versie installatie uitgevoerd naast een WindowsXP dus  een dualboot.
Draait perfect.
Nu probeer ik precies volgens de instructies op het forum de drivers voor de Canon IP1800 deb files uit te voeren maar krijg dan die fout melding in de pakket installer. ???
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #3 Gepost op: 2010/03/01, 12:13:08 »
Ik heb het volgende artikel ooit op onze wiki gezet:

http://wiki.ubuntu-nl.org/community/CanoniP1800

Je krijgt de foutmelding omdat het pakket voor 32-bits Ubuntu bedoeld is. Jij hebt 64-bits. In het wiki-artikel staat beschreven hoe je deze beveiliging omzeilt.

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #4 Gepost op: 2010/03/01, 12:15:06 »
Ook niet als je "--force-architecture" gebruikt bij de installatie ?

dus:
sudo dpkg -i --force-architecture cnijfilter-common_2.70-2_i386.deb

EDIT:
Cumulus was mij voor  ;)
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.


Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #5 Gepost op: 2010/03/01, 14:06:01 »
Jullie zijn fantastisch.
Alles gelukt op 1 ding na.

Ik wil een gedownload bestand verplaatsen naar de map /usr/share/ppd/
Het gaat om het bestand canonip1900for1800.ppd maar krijg deze melding: Fout bij het openen van bestand ‘/usr/share/ppd/canonip1900for1800.ppd’: Toegang geweigerd.

Hoe krijg ik dat bestand toch in die map of hoe omzeil ik dit probleem?
Ik moet dat file in die desbetreffende map krijgen om de installatie afgerond te krijgen.
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Lexaldo

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #6 Gepost op: 2010/03/01, 14:09:23 »
M.b.v. gksudo nautilus heb je meer rechten.

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #7 Gepost op: 2010/03/01, 14:14:45 »
Sorry maar ik ben volledig nieuw met Ubuntu en zijn command lines.

Wat is de opdracht regel dan in zijn geheel om het bestand "canonip1900for1800.ppd"  op de plek/in de map    /usr/share/ppd te krijgen ?
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Lexaldo

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #8 Gepost op: 2010/03/01, 14:25:06 »
Als je gksudo nautilus ingeeft in de terminal (die staat in toepassingen->Hulpmiddelen) dan kom je in je filesysteem maar met veel meer rechten.
Daar kun je naar hartelust bestanden verslepen/wissen/wijzigen en wat dies meer zij.  ;)

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #9 Gepost op: 2010/03/01, 14:29:52 »
Citaat
canonip1900for1800.ppd

Dus bovenstaand bestand copieren of (verslepen) en plakken in de map:

Citaat
/usr/share/ppd
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #10 Gepost op: 2010/03/01, 14:33:40 »
Top gelukt hartstikke badankt voor alle hulp.
In 2 dagen tijd het belangrijkste geleerd om alles goed werkende te krijgen en te houden. ;)
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #11 Gepost op: 2010/03/01, 14:36:24 »
Zet vóór de titel van je starttopic even [Opgelost] als je wil.  :)
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #12 Gepost op: 2010/03/01, 15:41:12 »
Nou het is dus niet opgelost.
Drivers zijn wel geinstalleerd maar ik kan nog steeds niet printen.
De documentatie is geschreven voor Ubuntu 9.04 en ik werk met 9.10.
Dus mijn Canon Pixma ip1800 doet helemaal niks.
Heb ook de methode op deze site geprobeerd http://tantos.web.id/blogs/how-to-karmic-koala-and-canon-pixma-ip1800-ip1900.
maar krijg het zaakje niet aan de praat.
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #13 Gepost op: 2010/03/01, 15:51:08 »
Vrees dat ik een Ubuntu 9.04 64bit versie op de kop zal moeten tikken ergens,want zonder printer heb ik er niks aan.
Begrijp uberhaubt niet dat dit niet is meegenomen in 9.10.
Elke nieuwe versie behoort toch een verbetering te zijn?
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #14 Gepost op: 2010/03/01, 15:52:38 »
Vrees dat ik een Ubuntu 9.04 64bit versie op de kop zal moeten tikken ergens,want zonder printer heb ik er niks aan.
Begrijp uberhaubt niet dat dit niet is meegenomen in 9.10.
Elke nieuwe versie behoort toch een verbetering te zijn?
je moet begrijpen dat Ubuntu-ontwikkelaars niet zomaar drivers van Canon kunnen inbouwen. Een Ubuntu-installatie bestaat uit 100% opensource software. Die drivers van Canon zijn niet opensource en kunnen dus niet in Ubuntu opgenomen worden. Anders dan bij HP, waar de drivers wel opensource zijn. HP-printers werken dus gelijk na het aansluiten in Ubuntu.

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #15 Gepost op: 2010/03/01, 15:57:13 »
Wat is de opdracht regel dan in zijn geheel om het bestand "canonip1900for1800.ppd"  op de plek/in de map    /usr/share/ppd te krijgen ?
sudo mv canonip1900for1800.ppd /usr/share/ppd/
Met sudo ervoor voor je deze regel uit als superuser (en heb je wel toegang ;)).
Zie ook onze wiki over den terminal: http://wiki.ubuntu-nl.org/community/WerkenMetDeTerminal
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #16 Gepost op: 2010/03/01, 15:58:32 »
Sowieso ben je nu niet slim bezig. je probeert twee installatiemethoden door elkaar. Het verplaatsen van een bestand komt niet voor in de handleiding op de wiki, waar haal je dat vandaan?

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #17 Gepost op: 2010/03/01, 16:01:34 »
Daar heb ik natuurlijk alle begrip voor maar ik had zo graag over willen stappen naar Ubuntu en mijn WindowsXP het raam uit willen zwiepen.
Maar een besturingssysteem zonder een werkende printer heb ik even niks aan en om nou een HP printer aan te schaffen enkel om Linux te kunnen draaien gaat me wat te ver.
Ga gewoon proberen de 9.04 versie te pakken te krijgen en het nog een keer proberen.
Zie namelijk voorlopig geen verandering komen in een update van Canon of Ubuntu zodat mijn Canon printer werkt.
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #18 Gepost op: 2010/03/01, 16:15:47 »
Sowieso ben je nu niet slim bezig. je probeert twee installatiemethoden door elkaar. Het verplaatsen van een bestand komt niet voor in de handleiding op de wiki, waar haal je dat vandaan?

Beste, de wiki methode werkt alleen voor Ubuntu 9.04 niet voor 9.10.
Dus ik gebruik geen 2 verschillende methodes.
Ik heb juist verder gegoogled om toch een oplossing te vinden en die vond ik op http://tantos.web.id/blogs/how-to-karmic-koala-and-canon-pixma-ip1800-ip1900.
Site laad traag maar lees het daar maar na.
Ik heb het precies zo gedaan als daar beschreven.

Alleen moest ik dat bestand canonip1900for1800.ppd  volgens de bovengenoemde site los downloaden en saven in /usr/share/ppd/.
Dat lukte niet in verband met de rechten op die map.
Dus heb ik het gedownload in de map downloads en doormiddel van de gksudo nautilus methode naar de desbetreffende plek verplaatst waar het volgens de handleiding moest wezen.
Toen via de printer configuratie verwezen naar het PPD file.
Maar het heeft bij mij niet mogen baten en ik weet niet waarom het bij andere wel gewerkt heeft met de zelfde printer onder versie 9.10.

Schiet mij maar in de feestverlichting ik weet het niet en ik ben toch vrij handig in dit soort dingen.
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Lexaldo

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #19 Gepost op: 2010/03/01, 17:39:29 »
Misschien dat je nog iets kan met dit forum: http://forums.openprinting.org/list.php?25

Offline Mshraks

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #20 Gepost op: 2010/03/01, 18:54:20 »
Nou dat heb ik ook allemaal al gelezen.
Ik geef het op, heb nu Ubuntu 9.04 erop staan pracht besturingsyteem de driver voor de Canon iP1800 precies zoals de Wiki uitleg geinstalleert maar de printer doet niks.
Krijg telkens de melding usr/lib/cups/filter/pstocanonij failed.

Ik weet niet hoe het bij andere kan werken maar bij dat het niks en ben er al 2 dagen mee bezig.
Dit is dus de reden waarom Linux nooit de markt zal veroveren.
4 GB DD3 RAM OCZ 1066Mhz
Hardeschijf : Maxtor 500GB
Processor : AMD Phenom II X4 955 Black Edition 4x 3.2 Ghz 8.0 MB total cache
Video : Sapphire Radeon HD 5770 1Gb GDDR5
Mainboard: MSI 760GM-E51
OS : ubuntu 10.10

Offline Lexaldo

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #21 Gepost op: 2010/03/01, 19:09:13 »
Dit is dus de reden waarom Linux nooit de markt zal veroveren.
Steeds meer mensen kopen pas een printer als ze zeker weten dattie het doet onder Linux. Dus die printerfabrikanten zijn in toenemende mate geneigd om drivers voor Linux te verschaffen. Anders kost het hun omzet.

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #22 Gepost op: 2010/03/01, 19:10:35 »
Nou dat heb ik ook allemaal al gelezen.
Ik geef het op, heb nu Ubuntu 9.04 erop staan pracht besturingsyteem de driver voor de Canon iP1800 precies zoals de Wiki uitleg geinstalleert maar de printer doet niks.
Krijg telkens de melding usr/lib/cups/filter/pstocanonij failed.

Ik weet niet hoe het bij andere kan werken maar bij dat het niks en ben er al 2 dagen mee bezig.
Dit is dus de reden waarom Linux nooit de markt zal veroveren.

Welnee, kun je je Vista nog herinneren? Mensen klaagden massaal wegens het plots niet meer werken van hun randapparatuur.. Elk besturingssysteem heeft last van dit soort dingen ;)

Tevens is het de verantwoordelijkheid van Canon om goed werkende drivers te maken als ze de Linux-gemeenschap niet wil helpen met het maken van opensource drivers.

Offline timosha

  • Lid
  • Steunpunt: Nee
Re: pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
« Reactie #23 Gepost op: 2010/03/01, 19:12:56 »
Dit is dus de reden waarom Linux nooit de markt zal veroveren.

Linux heeft de markt al veroverd, der servermarkt. Honderduizenden bedrijven werken met Linux servers.

Het nadeel van gratis OpenSource software is dat er niet voor elke printer, webcam en tuti quanti een OpenSource driver is. Dat ligt niet aan Linux maar aan producenten zoals Canon die hun sources niet vrijgeven. HP en anderen doen dat wel.
Stabiele OS: Solaris 10 - OS X 10.6.4 - Linux Mint 9 - Windows 7
Project OS: Linux Mint 9 Isadora
Test OS: Ubuntu 10.04 - 10.10
Server: Windows Server 2008 R2 - Exchange 2010

Contra verbosos noli contendere verbis: sermo datur cunctis, animi sapientia paucis.